import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("about_us_page_cms")
export class AboutUsPageCmsEntity extends CoreEntity {
  @Column({ default: null, nullable: true })
  pageTitle: string;

  @Column({ default: null, nullable: true })
  sectionTwoTitle: string;

  @Column({ default: null, nullable: true })
  sectionTwoSubTitle: string;

  @Column({ default: null, nullable: true })
  locationSectionTitle: string;

  @Column({ default: null, nullable: true })
  locationSectionSubTitle: string;

  @Column({ default: null, nullable: true })
  dispoDifferenceSectionTitle: string;

  @Column({ default: null, nullable: true })
  dispoDifferenceSectionSubTitle: string;
}
