import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("footer_cms")
export class FooterCms extends CoreEntity {
  @Column({ default: null, nullable: true })
  logo: string;

  @Column({ default: null, nullable: true, type: "longtext" })
  description: string;

  @Column({ default: null, nullable: true })
  copyrightText: string;

  @Column({ default: null, nullable: true })
  contactNo: string;

  @Column({ default: null, nullable: true })
  contactEmail: string;

  @Column({ default: null, nullable: true })
  buttonText: string;

  @Column({ default: null, nullable: true })
  buttonLink: string;

  @Column({ default: null, nullable: true })
  contactIcon: string;

  @Column({ default: null, nullable: true })
  emailIcon: string;
}
