import { Module } from "@nestjs/common";
import { OrderService } from "./order.service";
import { OrderController } from "./order.controller";
import { TypeOrmModule } from "@nestjs/typeorm";
import { RetailerServiceRepository } from "../custom/retailer-service/retailer-service.repository";

@Module({
  imports: [
    TypeOrmModule.forFeature([
      RetailerServiceRepository
    ])
  ],
  controllers: [OrderController],
  providers: [OrderService]
})
export class OrderModule {
}
